package com.ssj.bean.sys.situation.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name="scon_learning_situation_suggest")
public class LearningSituationSuggest extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 学科
     */
    private String courseName;

    /**
     * 类型 1知识维度， 2技能维度
     */
    private Integer type;

    /**
     *维度
     */
    private String module;

    /**
     * 熟练维度
     */
    private String remark;

    /**
     * 该维度最小值
     */
    private Integer min;

    /**
     * 该维度最大值
     */
    private Integer max;

    /**
     * 年级， 逗号分隔
     */
    private String grade;

    /**
     * 学习要求
     */
    private String standard;

    /**
     * 学习建议
     */
    private String suggest;

    private Date createTime;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getMin() {
        return min;
    }

    public void setMin(Integer min) {
        this.min = min;
    }

    public Integer getMax() {
        return max;
    }

    public void setMax(Integer max) {
        this.max = max;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public String getSuggest() {
        return suggest;
    }

    public void setSuggest(String suggest) {
        this.suggest = suggest;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
